      subroutine kolm2_del2(n1,n2,dat1,dat2,del) ! bernd berg apr 4 2001.
c maximum difference between two empirical cumulative df.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      dimension dat1(n1),dat2(n2)
      if(n1.gt.n2) stop "kolm2: n2.ge.n1 required."
c
      femp1=zero
      femp2=zero
      del=zero
      i1=1
      i2=1
1     continue
      if(dat1(i1).lt.dat2(i2)) then
        femp1=(one*i1)/n1
        i1=i1+1
      else if(dat1(i1).eq.dat2(i2)) then
        femp1=(one*i1)/n1
        femp2=(one*i2)/n2
        i1=i1+1
        i2=i2+1  
      else
        femp2=(one*i2)/n2
        i2=i2+1  
      end if
      del=max(del,abs(femp1-femp2))
      if(i1.le.n1.and.i2.le.n2) go to 1
c
      return
      end
